/* FlyStats! is copyright (c) 1999-2000 CRESTO Sylvain <tost>.
 * E-mail: <tost@softhome.net>
 * Contact: #flystats on irc.kewl.org
 *
 * This program is free but copyrighted software; see the file COPYING for
 * details.
 */

#include "extern.h"
#include "country.h"

char *find_country(char *host)
{
    int i;
    char *s = strrchr(host, '.');
    char buf[64];

    if (!s) {
	s = host;
    } else {
	s++;
    }
    strncpy(buf, s, 64);
    s = buf;
    while (*s)
	*s++ = toupper(*s);

    for (i = 0; domainname[i].code; i++)
	if (!strncmp(domainname[i].code, buf, strlen(buf)))
	    return domainname[i].country;
    return NULL;
}
