/* FlyStats! is copyright (c) 1999-2000 CRESTO Sylvain <tost>.
 * E-mail: <tost@softhome.net>
 * Contact: #flystats on irc.kewl.org
 *
 * This program is free but copyrighted software; see the file COPYING for
 * details.
 */

#include "extern.h"

char flyflags[10];

/* Initialise les flags de la version */
void do_flyflags()
{
    memset(flyflags, 0, 10);

    flyflags[0]=
#if defined(IRC_UNREAL)
	'R'
#elif defined(IRC_UNDERNET_29)
	'U'
#elif defined(IRC_DALNET)
	'A'
#elif defined(IRC_UNDERNET)
	'u'
#elif defined(IRC_HYBRID)
	'H'
#else
	'B'
#endif
	;

#ifdef USETHREAD
	flyflags[1]='T';
#endif

#ifdef ALLOW_DEBUG
    strcat(flyflags, "d");
    if (debug)
	strcat(flyflags, "D");
#endif
    if (nofork)
	strcat(flyflags, "f");
    if (tolerance)
	strcat(flyflags, "t");
}

/* Mets  jour les flags de la version aprs un rehash */
void update_flyflags()
{
    char *s = flyflags+strlen(flyflags)-1;
	/* Les flags qui changent ne peuvent tre que dans les
	 * deux dernieres positions
	 * (OperOnly et Identify)
	 */
    while (*s=='O' || *s=='I')
	*(s--)=0;
    if (OperOnly)
	strcat(flyflags, "O");
    if (accessflags)
	strcat(flyflags, "I");
    if (flystat && flystat->version)
	sprintf(flystat->version, "FlyStats%s %s", flystats, flyflags);
}
