# FlyStats! is copyright (c) 1999-2000 CRESTO Sylvain <tost>.
# E-mail: <tost@softhome.net>
# Contact: #flystats on irc.kewl.org
#
# This program is free but copyrighted software; see the file COPYING for
# details.

include config.cache

all:
	cd lang && make && cd ../src && make && cd ..
	@echo " * Ok now type \"make install\" to finish installation"

clean:
	cd lang && make clean && cd ../src && make clean && cd ..
	rm -f stat.pid
	@echo " * clean done"

langclean:
	rm -f src/language.h
	@echo " * langclean done"

distclean:
	cd src && make distclean && cd ../lang && make distclean && cd ..
	rm -f config.cache stat.pid src/sysconf.h
	mv Makefile Makefile.inc
	@echo " * distclean done"

install:
	cd lang && make install && cd ../src && make install && cd ..
	test -f $(DEST)/stat.conf || cp doc/stat.conf.dist $(DEST)/stat.conf
	@echo " * Installation completed!  Now edit stat.conf to your liking."
