# FlyStats! is copyright (c) 1999-2000 CRESTO Sylvain <tost>.
# E-mail: <tost@softhome.net>
# Contact: #flystats on irc.kewl.org
#
# This program is free but copyrighted software; see the file COPYING for
# details.

include ../config.cache

OBJS = commands.o config.o country.o domain.o file.o flymisc.o help.o ircu.o language.o log.o main.o misc.o proxy.o \
	server.o serv_message.o signal.o sock.o statserv.o users.o
SRCS = commands.c config.c country.o domain.c file.c flymisc.c help.c ircu.c language.c log.c main.c misc.c proxy.c \
	server.c serv_message.c signal.c sock.c statserv.c users.c

.c.o:
	gcc -O3 -Wall $(DDREENTRANT) -c $<

fly: $(OBJS)
	gcc $(OBJS) $(THREAD) $(DDREENTRANT) -o $@

$(OBJS): Makefile
commands.o:	commands.c	extern.h
config.o:	config.c	extern.h
country.o:	country.c	extern.h
domain.o:	domain.c	extern.h
file.o:		file.c		extern.h
flymisc.o:	flymisc.c	extern.h
help.o:		help.c		extern.h
ircu.o:		ircu.c		extern.h
language.o:	language.c	extern.h
log.o:		log.c		extern.h
main.o:		main.c		extern.h
misc.o:		misc.c		extern.h
proxy.o:	proxy.c		extern.h
server.o:	server.c	extern.h
serv_message.o:	serv_message.c	extern.h
signal.o:	signal.c	extern.h
sock.o:		sock.c		extern.h
statserv.o:	statserv.c	extern.h
users.o:	users.c		extern.h

clean:
	rm -f *.o fly

distclean:
	rm -f *.o fly
	mv Makefile Makefile.inc

install:
	cp fly $(DEST)
