/* FlyStats! is copyright (c) 1999-2000 CRESTO Sylvain <tost>.
 * E-mail: <tost@softhome.net>
 * Contact: #flystats on irc.kewl.org
 *
 * This program is free but copyrighted software; see the file COPYING for
 * details.
 */

#include "extern.h"
#include <signal.h>

extern void sighandler(int signum);

void setsignal()
{
    signal(SIGHUP, sighandler);
    signal(SIGTERM, sighandler);
    signal(SIGSEGV, sighandler);
#ifndef LINUX20
    signal(SIGUSR1, sighandler);
    signal(SIGUSR2, sighandler);
#endif
}

void sighandler(int signum)
{
    switch (signum) {
      case SIGHUP:
	quitflystats = 2;
	break;
      case SIGTERM:
	quitflystats = 4;
	break;
#ifndef LINUX20
      case SIGUSR1:
	quitflystats = 3;
	break;
      case SIGUSR2:
	quitflystats = 5;
	break;
#endif
    }
}
